Site Crawl Content Search API [deprecated]

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Site Crawl Content Search is based on parsing content from the merchant's site and returning search results based on the content we find on their websites through the crawl. The ranking is based purely on text-match. This kind of content is called unstructured content, and it doesn't adhere to a defined data model like your products do. Unlike feed-based content searches, crawl based content search queries don't rely on a feed.

🚧

Site Crawl Content Search is deprecated

We recommend you to move to Feed Based Content Search for algo based capabilities derived from inputs such as a structured content feed and user-behavior data tracked through the pixel. Talk to your Bloomreach representative about how to get you started with the latest Content Search.

Endpoints

Production: https://core.dxpapi.com/api/v1/core/?
Staging: https://staging-core.dxpapi.com/api/v1/core/?

Example request

GET https://core.dxpapi.com/api/v1/core/?
&account_id=<Bloomreach Provided Account ID>
&auth_key=jazzhands
&domain_key=example_com
&request_id=1597706996836
&_br_uid_2=uid=7797686432023:v=11.5:ts=1428617911187:hc=55
&ref_url=http://www.example.com/home
&url=http://www.example.com/index.html?q=cooking%20valencian%20paella
&data_type=content
&request_type=search
&search_type=keyword
&q=cooking valencian paella
&fl=cid,title,author
&rows=10
&start=0
❗️

API requests should be limited to 16K Bytes. API requests above this length will throw Error Code 414 .

Query Params
int32
required
Defaults to 6702

Your site's numerical Bloomreach account ID. Your Bloomreach representative gives your site's account ID to you before or during your integration kickoff meeting.

The value shown here, 6702, is included for your convenience to send a request with Try It.

string
required

The Bloomreach-provided authentication key for the Bloomreach account that's sending the request.

Pass the auth_key with an empty value in client-side calls. The auth_key value is a private authorization key. If you include your valid auth_key value in client-side calls, then you inadvertently expose that private information to everybody.

string
required
Defaults to uid%3D7797686432023%3Av%3D11.5%3Ats%3D1428617911187%3Ahc%3D55

A first-party cookie created by the Bloomreach tracking pixel library (BrTrk). This cookie creates a unique, anonymous identifier for every browser or device.

Use the default value provided, which is already encoded.

string
enum
required
Defaults to content

Identifies the request as being for site crawl content search.

Allowed:
string
required

Your site domain's ID, which is provided by Bloomreach. This ID is for the domain that you want to receive your Bloomreach API requests. This parameter identifies the specific site version when the one account ID hosts multiple site versions with unique characteristics, such as language versions. Bloomreach uses your domain_key parameter value to ensure that only the data that pertains to that site version is used for query and analytics features, such as autosuggestions.

string
required

The attributes that you want returned in your API response, such as item IDs and prices.

All fl parameters for Content Search must include item_id as one of their values. Any attribute from your content feed may be used as a value for fl.

Multiple values should be comma separated, such as fl=item_id,price.

string
required

Your site visitor's search query. Site Crawl Content Search queries are composed of one or more terms.

You can percent encode spaces between terms as %20, or you can leave the spaces unencoded.

If you use q=, the latency of the response will vary depending on your catalog size and it may not adhere to Bloomreach's standard SLA. Additionally, most merchandising operations do not work on query parameters, except for include/exclude operations.

string
required

The URL of the page or HTTP referrer where the request is started. Required if you want to use Targeting.

string
enum
required
Defaults to search

The type of API request. Value should be search for Content Search requests.

Allowed:
int32
required

The number of matching items to return per results page in the API response. The maximum value is 200.

To enhance performance, limit this value to the number of items that you think is reasonable for a single page of search results.

string
enum
required
Defaults to keyword

The type of search. Value should be keyword for Content Search requests.

Allowed:
int32
required

The number of the first item on a page of results. For example, the first item on the first page is 0, making the start value also 0.

The maximum value is 10000.

string
required

The absolute URL of the page where the request is initiated. Do not use a relative URL.

string
enum

Indicates whether to return data wrapped in the function for cross-origin requests.

For server-side requests, use the value br_server. For native-app requests, use the value br_app.

Allowed:
string

Return a count of ranged facets, such as price and sale price. Use numeric attributes only.

string

The fq parameter applies a faceted filter to the returned content, searching for content that fits your parameter values.

Any facet that you want to filter must be in your feed. Read more about using the fq parameter in the "Simple Filtering" section in the Faceting and filtering page.

Attributes must be enabled and mapped by Bloomreach Let your Bloomreach representative know which attributes in your content feed you want to apply as filters to search results.

string

Sorts results based on the field value in ascending, descending, or another combination of orders. You can sort any fl field.

Value is a field name, followed by asc/desc for ascending/descending order respectively. For example, sort=sale_price desc sorts in descending order of the sale price

string

The universal customer ID of the user. You only need to pass this field if your particular integration tracks customers this way. The parameter captures user IDs from the customer side, and reuses the information when powering apps or enhancing cross-device linking. In this way, Bloomreach recognizes users in a way that's aligned with your system.

Use an anonymous string. Don't use email or other personally identifiable information.

If you do not track users this way, then omit this field.

string

A unique identifier for a specific view of your content catalog. If you have multiple versions of your site, each with their own content catalog characteristics like content titles and descriptions, then add view_id to your call.

Bloomreach uses your view_id parameter value to display the right content information for your customers based on their individual site views. You can enter any string value to identify the specific site catalog view. This string must be consistent in your pixel, API, and content catalog.

string
Defaults to json

Specifies the type of response. Responses are returned in JSON by default, but they can also be returned in HTML.

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!

© Bloomreach, Inc. All rights reserved.